/* Police et scroll */
@font-face {
  font-family: 'poppins';
  src: url('../ressources/fonts/Poppins-Regular.ttf');
  src: 		
      local('poppins'),
      url('../ressources/fonts/Poppins-Regular.ttf') 
      format('opentype');
}


/* Body */
body{
  font-family: 'poppins';
  background-color: #F5F5F5;
}

* {
  scroll-behavior: smooth; 
}

p{
  text-align: justify;
}

.center{
  display: flex;
  justify-content: center;
}

hr{
background-color:#C7C7C7;
height: 1px;
border: none;
}


/* Scroll bar */ 
body::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	border-radius: 10px;
	background-color: #F5F5F5;
}

body::-webkit-scrollbar
{
	width: 7px;
	background-color: #F5F5F5;
}

body::-webkit-scrollbar-thumb
{
	border-radius: 0px;
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
	background-color: #2F4F4F;
}


/* Menu de navigation */
nav{
  position: relative;
  top: 0px;
  transition: top 0.8s;
  height: 12vh;
  line-height: 12vh;
  white-space: nowrap;
  font-size: 1rem;
  background-color:darkslategray;
}

nav ul{
  display: flex; 
  justify-content: space-between;
  margin-left: auto;
  margin-right: auto;
  width: 50%; 
}

nav a {
  color: white;
}

.ligne{
  width: 80%;
}


/* Header */
header{
  height: 88vh;
  margin: 0 10% 0 10%
}

header .center p{
  margin:0;
}

#text_portfolio{
  margin-top: 5%
}

.container{
  display: flex;
}

.left{
  width: 38%;
}

.left h2{
  padding: 0 0 0 33%;
}

.photo_profil{
  border-radius: 100px;
  width: 250px;
  height: auto;
  margin: 10% 0 0 25%;
}

.right{
  width: 62%
}

.bloc_presentation{
  margin: 15% 18% 0 0;
  top: 0;
}

#arrow{
  opacity: 100;
  transition: 1s;
  width: 30px;
}

#en_savoir_plus{
  margin-top: 3.5vh;
  opacity: 100;
  transition: 1s;
}


/* Corps */
.corps{
   margin: 0% 20% 0% 20%;
}


/* Etudes */
#etudes{
  margin-top: 5%;
  margin-bottom: 8%;
}


/* Compétences */
#competences{
  margin-bottom: 8%;
}
.conteneur_competences{
  display: flex;
  justify-content: space-evenly;
  height: 110px;
  line-height: 110px;
}
.conteneur_competences img{
  width: 70px;
}

.wrapperCompetences{
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 10px;
  grid-auto-rows: minmax(125px, auto);
}

.wrapperCompetences div{
  display: flex;
}

.wrapperCompetences img{
  transition: 0.2s;
  width: 30%;
  margin: auto;
}

.wrapperCompetences img:hover{
  transform: scale(1.3);
}


/* Projets */
#projets{
  margin-bottom: 5%;
}

.wrapperProjets {
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 10px;
  grid-auto-rows: minmax(180px, auto);
}

.wrapperProjets a {
  outline: none;
  text-decoration: none;
}

.wrapperProjets a:link {
  color: #292961;
}

.wrapperProjets a:visited {
  color: #292961;
}

.wrapperProjets a:focus {
  border-bottom: 1px solid;
}

.wrapperProjets a:hover {
  border-bottom: 1px solid;     
}

.wrapperProjets a:active {
  background: #292961;
  color: white;
}


/* Contact */
footer{
  background-color: white;
  padding: 0% 20% 0% 20%;  
}

#text_contact{
  padding-top: 3%;
}

#contact h2{
  text-align: center;
}

#conteneur_contact{
  display: flex;
  justify-content: space-evenly;
  margin-top: 2%;
  margin-bottom: 5%;
}

#conteneur_contact img{
  width: 58px;
  height: 53px;
}

.contact{
  width: 200px;
  text-align: center;
}

#adr_mail{
  font-size: 80%;
  color: #E24329;
}

.contact a {
  font-size: 80%;
  outline: none;
  text-decoration: none;
}
  
.contact a:link {
  color: #E24329;
}

.contact a:visited {
  color: #E24329;
}

.contact a:focus {
  border-bottom: 1px solid;
}

.contact a:hover {
  border-bottom: 1px solid;     
}

.contact a:active {
  background: #E24329;
  color: white;
}


/* Copyright */
#copyright{
  text-align: center;
  margin-top: 3%;
  padding-bottom: 3%;
}

/* Responsive */
@media screen and (max-width: 1024px) {
    
  header{
    height: auto;
  }

  nav{
    position: relative;
    top: 0px;
    transition: top 0.8s;
    height: 5vh;
    line-height: 5vh;
    white-space: nowrap;
    font-size: 1.8rem;
    background-color:darkslategray;
  }

  nav ul {
    width: 90%
  }
  .corps{
    margin: 0% 5% 0% 5%;
  }

  .corps h2 {
    font-size: 3.5em;
  }

  #text_portfolio h1 {
    font-size: 3em;
  } 

  .wrapperCompetences img {
    width: 40%;
  }

  .container{
    display: block;
  }

  .left{
    width: auto;
  }

  .left h2{
    text-align: center;
    padding: 0;
  }

  .photo_profil{
    border-radius: 100px;
    width: 40%;
    height: auto;
    margin: 4% 30% 0 30%;
  }

  .right{
    width: auto
  }

  .bloc_presentation{
    margin: 0;
  }

  #en_savoir_plus{
    font-size: 2em;
  }

  /* .timeline p span {
    font-size: 1.2em;
  }
  .timeline p {
    font-size: 1.2em;
  } */
  .timeline{
    font-size: 170%
  }
  p{
    font-size: 0.80em;
  }

  footer{
    padding: 0;
  }

  footer h2 {
    font-size: 3em;
  }
  .contact{
    width: 30%;
  }
  

  #conteneur_contact img {
    width: 116px;
    height: 106px;
  }
  #conteneur_contact a{
    font-size: 1.5em;
  }

  .wrapperProjets a {
    font-size: 0.8em;
  }

  #copyright{
    font-size: 0.5em;
  }

}



